-- -*- haskell -*-
{-# LANGUAGE ForeignFunctionInterface #-}

{- |'Media.FFMpeg.Version' - FFMpeg version information -}

module Media.FFMpeg.Version
    (
     libAVCodecVersion
    ,libAVFormatVersion
    ) where

#include "libavformat/avformat.h"
#include "libavcodec/avcodec.h"
#include "libswscale/swscale.h"

import Data.Version

libAVFormatVersion :: Version
libAVFormatVersion = Version {
                       versionBranch = [
                        #{const LIBAVFORMAT_VERSION_MAJOR},
                        #{const LIBAVFORMAT_VERSION_MINOR},
                        #{const LIBAVFORMAT_VERSION_MICRO}
                       ],
                       versionTags = []
                     }

libAVCodecVersion :: Version
libAVCodecVersion = Version {
                      versionBranch = [
                       #{const LIBAVCODEC_VERSION_MAJOR},
                       #{const LIBAVCODEC_VERSION_MINOR},
                       #{const LIBAVCODEC_VERSION_MICRO}
                      ],
                      versionTags = []
                    }

libSWScaleVersion :: Version
libSWScaleVersion = Version {
                      versionBranch = [
                       #{const LIBSWSCALE_VERSION_MAJOR},
                       #{const LIBSWSCALE_VERSION_MINOR},
                       #{const LIBSWSCALE_VERSION_MICRO}
                      ],
                      versionTags = []
                    }
